API ReferenceapiclinicalPOST /v1/admin/adverse-events/{id}/review

POST /v1/admin/adverse-events/\{id\}/review

Service: clinical · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Request body

{
  "type": "object",
  "properties": {
    "review_note": {
      "type": "string",
      "minLength": 1
    }
  },
  "required": [
    "review_note"
  ]
}

Responses

200 Event reviewed

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "patient_id": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "peptide_id": {
      "type": "string"
    },
    "symptoms": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "severity": {
      "type": "integer",
      "minimum": 1,
      "maximum": 5
    },
    "notes": {
      "type": [
        "string",
        "null"
      ]
    },
    "photos": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "s3_key": {
            "type": "string"
          },
          "caption": {
            "type": "string"
          },
          "content_type": {
            "type": "string"
          }
        },
        "required": [
          "s3_key",
          "content_type"
        ]
      }
    },
    "status": {
      "type": "string"
    },
    "reviewed_at": {
      "type": [
        "string",
        "null"
      ],
      "format": "date-time"
    },
    "reviewed_by": {
      "type": [
        "string",
        "null"
      ]
    },
    "review_note": {
      "type": [
        "string",
        "null"
      ]
    },
    "reported_at": {
      "type": "string",
      "format": "date-time"
    },
    "created_at": {
      "type": "string",
      "format": "date-time"
    }
  },
  "required": [
    "id",
    "patient_id",
    "brand_id",
    "peptide_id",
    "symptoms",
    "severity",
    "notes",
    "photos",
    "status",
    "reviewed_at",
    "reviewed_by",
    "review_note",
    "reported_at",
    "created_at"
  ]
}

404 Not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Internal error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://clinical.platform.loop.health/v1/admin/adverse-events/{id}/review \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'